### Method

# GExiv2 Metadata try_get_xmp_packet

deprecated: 0.16.0 since: 0.12.2

#### Declaration [src]

    gchar*
    gexiv2_metadata_try_get_xmp_packet (
      GExiv2Metadata* self
      GError** error
    )

#### Description [src]

Get the currently encoded XMP packet (after having called `gexiv2_metadata_try_generate_xmp_packet()`).

Available since: 0.12.2

Deprecated since: 0.16.0

Use `gexiv2_metadata_try_get_xmp_packet()` instead.

#### Return value

Type: `gchar*`

`NULL` if no packet was generated previously, the XMP packet contents otherwise.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.